Subject: Re: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100% CPU

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 May 2012 12:47:53 +0300

> Date: Fri, 11 May 2012 11:29:57 +0300
> From: Dov Grobgeld <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> With patch1: ~155s
> With patch2: ~112s
> 
> On the other hand, I have patched gdb, seehttp://
> sourceware.org/bugzilla/show_bug.cgi?id=14081,  to do uniq internally in
> gdb, and then it takes only about 10s.

Which is much faster, but still way too slow.

I think it's quite clear at this point that what takes time is reading
the stuff from GDB, not parsing it.  Chong, am I right?